Subject: bug#72524: how does grep determine locale if no LC environment variables are set

From: <[email-masked]>
Date: Fri, 9 Aug 2024 22:08:39 +0000

Yeah but that would involve compiling the SAME WAY that this one was compiled, and I have no idea how the Git Bash for Windows project does this kind of thing.
I tried it on a grep in a more full-featured distribution (namely MSYS2) and it works fine.
I'm tempted to try it on a different computer and see what it does there, but not sure when I'll get around to it.
I don't suppose you have a Windows machine with git installed conveniently lying around by any chance?
(I have one lying around, but not conveniently.)

-----Original Message-----
From: Paul Eggert <[email-masked]> 
Sent: Friday, August 9, 2024 6:02 PM
To: Yagnatinsky, Mark : IT (NYK) <[email-masked]>
Cc: [email-masked]
Subject: Re: bug#72524: how does grep determine locale if no LC environment variables are set

 CAUTION:  This email originated from outside our organization - [email-masked]  Do not click on links, open attachments, or respond unless you recognize the sender and can validate the content is safe. 

______________________________________________________________________
On 2024-08-09 14:59, [email-masked] wrote:
> Re: debugger: will that work if grep wasn't built with debug symbols?

Only if you're reasonably experienced with machine code. It's not fun, but it's doable.

You could write your own little test program that simply does 'setlocale (LC_ALL, "")' followed by the fprintf code I sent you earlier, and debug that or see what it does.

This message is for information purposes only. It is not a recommendation, advice, offer or solicitation to buy or sell a product or service, nor an official confirmation of any transaction. It is directed at persons who are professionals and is intended for the recipient(s) only. It is not directed at retail customers. This message is subject to the terms at: https://www.ib.barclays/disclosures/web-and-email-disclaimer.html. 

For important disclosures, please see: https://www.ib.barclays/disclosures/sales-and-trading-disclaimer.html regarding marketing commentary from Barclays Sales and/or Trading desks, who are active market participants; https://www.ib.barclays/disclosures/barclays-global-markets-disclosures.html regarding our standard terms for Barclays Investment Bank where we trade with you in principal-to-principal wholesale markets transactions; and in respect to Barclays Research, including disclosures relating to specific issuers, see: https://publicresearch.barclays.com.
__________________________________________________________________________________ 
If you are incorporated or operating in Australia, read these important disclosures: https://www.ib.barclays/disclosures/important-disclosures-asia-pacific.html.
__________________________________________________________________________________
For more details about how we use personal information, see our privacy notice: https://www.ib.barclays/disclosures/personal-information-use.html. 
__________________________________________________________________________________